@echo off
call dpbuddy backup -file backups/backup.zip -domainPatterns "dpbuddy.*" -failIfNoDomain false -env qa
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy restore -file backups/backup.zip -env dr
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy secureBackup -cert dp-backup -toDir sbackups/backup -appendTimestamp -env qa
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy secureBackup -cert dp-backup -toDir sbackups/sync -env qa
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy secureRestore -cred dp-restore -dir sbackups/sync -waitForReboot -env dr
if %errorlevel% neq 0 (exit /b %errorlevel%)
