@echo off
call dpbuddy restartDomain
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy resetDomain
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Create domain, change the default number of checkpoints
call dpbuddy createDomain -maxCheckpoints 5
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Delete the domain if exists and then create it. This will wipe out the domain's configuration and all the files
call dpbuddy createDomain -delete -save
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Save the domain's configuration
call dpbuddy save
if %errorlevel% neq 0 (exit /b %errorlevel%)

